using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application
{
    public class HouseSelectInput
    {
        [Required(ErrorMessage = "用户Id不能为空")]
        public string UserId { get; set; }

        [Required(ErrorMessage = "房屋编码Id不能为空")]
        public string[] Ids { get; set; }
    }

    public class QueryHouseSelectorInput : QueryHouseCodeInput
    {
        [Required(ErrorMessage = "用户Id不能为空")]
        public string UserId { get; set; }
    }
}
